curl -X POST https://api.wirebox.sh/api/v1/identities \
-H "Authorization: Bearer $WIREBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agent_handle": "eva",
"display_name": "Eva Customer Support",
"description": "Customer triage agent"
}'
{
"id": "ident_01J8ABC123XYZ",
"agent_handle": "eva",
"display_name": "Eva Customer Support",
"description": "Customer triage agent",
"mailbox_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z"
}
Agent Identities
Create Agent Identity
Register a new autonomous agent identity and automatically provision a dedicated mailbox.
POST
/
api
/
v1
/
identities
curl -X POST https://api.wirebox.sh/api/v1/identities \
-H "Authorization: Bearer $WIREBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agent_handle": "eva",
"display_name": "Eva Customer Support",
"description": "Customer triage agent"
}'
{
"id": "ident_01J8ABC123XYZ",
"agent_handle": "eva",
"display_name": "Eva Customer Support",
"description": "Customer triage agent",
"mailbox_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z"
}
Body Parameters
string
required
Unique handle for this agent (2–32 lowercase alphanumeric characters or underscores). Example:
eva.string
Human-readable name for display in email headers and the Console. Example:
Eva Support.string
Optional context describing this agent’s purpose.
Response
string
Unique identity identifier (e.g.
ident_01J8ABC123XYZ).string
The claimed handle.
string
Display name for the agent.
string
Description of the agent.
string
The provisioned mailbox address (e.g.
eva@wireboxmail.com).string
ISO 8601 creation timestamp.
string
ISO 8601 update timestamp.
curl -X POST https://api.wirebox.sh/api/v1/identities \
-H "Authorization: Bearer $WIREBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agent_handle": "eva",
"display_name": "Eva Customer Support",
"description": "Customer triage agent"
}'
{
"id": "ident_01J8ABC123XYZ",
"agent_handle": "eva",
"display_name": "Eva Customer Support",
"description": "Customer triage agent",
"mailbox_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z"
}